# Environ

This project uses a ESP32 to expose a SCD40 CO2, temperature, and humidity sensor to Home Assistant
via the BTHome Bluetooth protocol.

## Hardware

v1 uses a M5Stack M5Paper that I had spare. It's a large unit, and most of the hardware is unused,
but it does come with a built-in battery and low power support.

Schematic:
<https://m5stack.oss-cn-shenzhen.aliyuncs.com/resource/docs/schematic/Core/m5paper/M5_PAPER_SCH.pdf>

Pins:

- I2C: SDA: G21, SCL: G22

  - GT911 touch controller
  - SHT30 humidity, temperature
  - BM8563 RTC
  - FM24C02 EEPROM

- Port A I2C: G25, G32

  - SCD40

- Power control:

  - PS_ON G2
  - EPD_PWR_EN G23
  - EXT_PWR_EN G5
  - VBAT_S G35 via a 3k / 11 k divider

- Others

  - IT8951E
  - SD card
  - 3 buttons
